
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 导航属性：工程控制措施
    /// </summary>
    [Description("工程控制措施")]
    public class T_HM_EVALUATE_HAZARD_ENGINEERING_MEASURES : MesEntityBase
    {
        /// <summary>
        /// 职业危害库ID
        /// </summary>
        [Description("职业危害库")]
        [DataFieldForeignKey("Nav_EvaluateHazard", "Nav_EvaluateHazardEngineeringMeasures")]
        public Guid EVALUATE_HAZARD_ID { get; set; }

        /// <summary>
        /// 工程控制措施ID
        /// </summary>
        [Description("工程控制措施")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_EngineeringMeasures")]
        public Guid ENGINEERING_MEASURES_ID { get; set; }

        /// <summary>
        /// 导航属性：职业危害库
        /// </summary>
        [Description("导航属性：职业危害库")]
        public T_HM_EVALUATE_HAZARD Nav_EvaluateHazard { get; set; }

        /// <summary>
        /// 导航属性：工程控制措施
        /// </summary>
        [Description("导航属性：工程控制措施")]
        public T_HM_ENGINEERING_MEASURES Nav_EngineeringMeasures { get; set; }
    }
}
